// vim: set sw=8 ts=8 si :
// Config and calibration file for ethernet weather station
// Autor: Guido Socher
// Copyright: GPL V2
//
#ifndef CONFIG_H
#define CONFIG_H

#define VERSIONSTR "version 3.0, tuxgraphics.org\n"

// !! Note !! those temperature calibration values are normally
// not more than 10% off. If you think that you need to tune more
// then your reference is probably incorrect.
//
//----------- temperature sensor TS2 (on ADC0, out-door)
// You can modify those values slightly to calibrate your weather station
//
// A calibration factor which included the amplification factor
// of the operational amplifier. (in adc steps per Kelvin)
#define KELVINPERADC0 129
// An offset factor (in Celsius * 10), normally you will not need to change this
#define OFFSET0 307
//----------- temperature sensor TS1 (on ADC1, in-door)
// You can modify those values slightly to calibrate your weather station
//
// A calibration factor which included the amplification factor
// of the operational amplifier. (in adc steps per Kelvin)
#define KELVINPERADC1 129
// An offset factor (in Celsius * 10), normally you will not need to change this
#define OFFSET1 307

//----------- air pressure (on ADC2)
// normally you will not need to change GAIN_A
#define GAIN_A 88
// normally you will not need to change ERROR_A
// sensor error (in adc units), can be positive or negative:
#define ERROR_A 0
// an offset which depends on the gain of the diffamp and the reference voltage
// See calculator on http://tuxgraphics.org/electronics/200704/article07041.meta.shtml
#define REFTERM_A 9433
// pressure offset from sea level in hPa*10:
// See calculator on http://tuxgraphics.org/electronics/200704/article07041.meta.shtml
#define SEALEVELOFFSET 145
//
//
#endif /* CONFIG_H */

